Package org.jboss.modules

# Interface IterableLocalLoader

All Superinterfaces:
  `LocalLoader`

public interface IterableLocalLoader extends LocalLoader
A local loader which can enumerate its contents.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`Iterator<Resource>`
`iterateResources(String startPath, boolean recursive)`
Enumerate all the resources under the given path.

### Methods inherited from interface org.jboss.modules.LocalLoader

`loadClassLocal, loadPackageLocal, loadResourceLocal`

## Method Details

### iterateResources

Iterator<Resource> iterateResources(String startPath, boolean recursive)
Enumerate all the resources under the given path. The given path name is relative to the root of the resource loader. If the path "escapes" the root via `..`, such segments will be consumed. If the path is absolute, it will be converted to a relative path by dropping the leading `/`.

Parameters:
  `startPath` - the path to search under
  `recursive` - `true` to recursively descend into subdirectories, `false` to only read this path
Returns:
  the resource iterator (possibly empty)